Bug 36092 - cloud-init integration
cloud-init integration
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: General
UCS 4.0
Other Linux
: P5 enhancement (vote)
: UCS 4.0
Assigned To: Erik Damrose
Philipp Hahn
: interim-3
Depends on: 35236
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-07 19:58 CEST by Stefan Gohmann
Modified: 2014-11-26 06:53 CET (History)
5 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-10-07 19:58:39 CEST
+++ This bug was initially created as a clone of Bug #35236 +++

We should check the integration of cloud-init. Various cloud service providers uses it.
Comment 1 Stefan Gohmann univentionstaff 2014-10-07 19:59:21 CEST
Erik, please merge the current status into UCS 4.
Comment 2 Erik Damrose univentionstaff 2014-10-23 16:19:47 CEST
I ported the current package status from ucs3.2 to services/univention-cloud-init
Todo: Wait for new ucs-overview design and adapt the package...
Comment 3 Drees Dormann univentionstaff 2014-10-31 12:00:48 CET
adapted the design and updated translations
Comment 4 Alexander Kläser univentionstaff 2014-11-03 17:29:32 CET
I removed the conditional comment for Internet Explorer, as this is no longer supported from IE10 onwards.

univention-cloud-init (2.0.1-1):
* Bug #36092: fixed error noscript error message for Internet Explorer
Comment 5 Alexander Kläser univentionstaff 2014-11-03 17:32:25 CET
(In reply to Alexander Kläser from comment #4)
> I removed the conditional comment for Internet Explorer, as this is no
> longer supported from IE10 onwards.
> 
> univention-cloud-init (2.0.1-1):
> * Bug #36092: fixed error noscript error message for Internet Explorer

r36092
Comment 6 Stefan Gohmann univentionstaff 2014-11-04 10:31:35 CET
Please add a changelog entry.
Comment 7 Erik Damrose univentionstaff 2014-11-04 10:47:17 CET
r55329 changelog
Comment 8 Philipp Hahn univentionstaff 2014-11-06 00:09:15 CET
OK: r55329 ChangeLog
OK: r54862 r54871 r55200 r55302
OK: DC Master
OK: Member server

FAIL: univention-cloud-init is unmaintained?

FAIL: # grep None /var/cache/univention-system-setup/profile
 components="None"
 packages_remove="None"
I guess this is Python None, which probably should be written using %s formatting.


FYI: notes for setup:
$ xargs -d '\n' ucr set <<__UCR__
interfaces/eth0/type=dhcp
system/setup/boot/start=no
repository/online/unmaintained=yes
server/cloud-init=yes
_grub/bootsplash=nosplash
__UCR__
$ univention-install univention-cloud-init univention-system-setup-boot
$ apt-get clean
$ poweroff
...
#cloud-config
#
ucs_setup:
  hostname: myucsmaster
  domainname: phahn.dev
  windowsdomain: PHAHN
  ldap_base: dc=phahn,dc=dev
  rootpassword: univention
  defaultlocale: de_DE.UTF-8:UTF-8
  components:
  packages_install: ethtool
  packages_remove:
  role: memberserver
  nameserver: 192.168.0.135
write_files:
-   content: |
        adconnector
        simplesamlphp
    path: /var/cache/univention-system-setup/installapps
    owner: root:root
    permissions: '0400'
-   content: Administrator
    path: /var/cache/univention-system-setup/dcaccount
    owner: root:root
    permissions: '0400'
-   content: univention
    path: /var/cache/univention-system-setup/dcpw
    owner: root:root
    permissions: '0400'

FYI: Useful links
 - <http://cloudinit.readthedocs.org/en/latest/topics/examples.html>
Comment 9 Erik Damrose univentionstaff 2014-11-07 12:34:36 CET
r55496 added univention-cloud-init to maintained
Comment 10 Erik Damrose univentionstaff 2014-11-10 13:33:01 CET
r55590 Fixed writing of profile file
univention-cloud-init now also sets system/setup/boot/start=false, as the behavior was changed in UCS-4: It will only be set to false if the system setup completed successfully. Otherwise, the profile-file written by cloud-init will be renamed to profile.bak before the cloud-init initiated setup starts.
Comment 11 Philipp Hahn univentionstaff 2014-11-10 15:53:08 CET
(In reply to Erik Damrose from comment #9)
> r55496 added univention-cloud-init to maintained

OK: # isoinfo -f -R -i ucs_4.0-0-latest-amd64.iso | grep univention-cloud-init
/all/univention-cloud-init_2.0.1-1.6.201411031731_all.deb

(In reply to Erik Damrose from comment #10)
> r55590 Fixed writing of profile file
> univention-cloud-init now also sets system/setup/boot/start=false, as the
> behavior was changed in UCS-4: It will only be set to false if the system
> setup completed successfully. Otherwise, the profile-file written by
> cloud-init will be renamed to profile.bak before the cloud-init initiated
> setup starts.

OK: ucr get repository/online/unmaintained # no
OK: ucr get system/setup/boot/start # false
OK: grep None /var/cache/univention-system-setup/profile
Comment 12 Stefan Gohmann univentionstaff 2014-11-26 06:53:54 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".